## python-gtkhtml2 2.14.3-1

=== debian/changelog ===
python-gtkhtml2 (2.14.3-1) unstable; urgency=low

  * Initial version for maemo.

  * Strip from gnome-python-extras

 -- Daniel Martin Yerga  <dyerga@gmail.com>  Tue, 04 Dec 2007 19:39:58 +0100
