=== debian/control ===
Source: python-gtkhtml2
Section: python
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2), dpatch, gnome-pkg-tools, libgtkhtml2-dev (>= 2.4), python2.5-gtk2-dev (>= 2.4), libgtk2.0-dev (>= 2.4)
Standards-Version: 3.7.2

Package: python-gtkhtml2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python2.5-gtk2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for the GNOME desktop environment
 This archive contains modules that allow you to write GNOME programs
 in Python. This package contains the bindings that are not included
 in the GNOME desktop.
 .
  Author:   James Henstridge <james@daa.com.au>
  Homepage: http://www.daa.com.au/~james/software/pygtk/
