## python-gtkhtml2 2.19.1-2maemo1

=== debian/changelog ===
python-gtkhtml2 (2.19.1-2maemo1) unstable; urgency=low

  * New upstream version
  * Strip python-gtkhtml2 from the gnome-python-extras source.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Thu, 26 Jun 2008 19:00:42 +0200

gnome-python-extras (2.19.1-2) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Bump xulrunner dependencies to 1.9~rc1.

 -- Josselin Mouette <joss@debian.org>  Sun, 08 Jun 2008 23:00:42 +0200

gnome-python-extras (2.19.1-1) experimental; urgency=low

  [ Kilian Krause ]
  * Use binary:version and source:Version for binnNMU-safe uploads as
    added in dpkg-dev 1.13.19. Add to Build-Depends accordingly.

  [ Deng Xiyue]
  * New upstream development release. Closes: #479768.
    + egg.trayicon is no longer deprecated. Closes: #413187.
  * Update standard version to 3.7.3.
  * Adjust Build-Depends:
    + Build-Depends on libgda3-dev.  (Closes: #455829)
    + Build-Depends on libgksu2-dev.
  * Use machine-interpretable format for debian/copyright, and make it UTF-8
    to silence all lintian warnings.

  [ Josselin Mouette ]
  * Target to experimental; include check-dist.mk.
  * Split the gtkhtml, gtkmozembed and eggtrayicon modules in separate 
    packages. Closes: #376593, #452766.
  * Require python-support 0.7.1 for namespace packages support.
  * Rework descriptions a bit.
  * Switch to quilt for patch handling; build-depend on quilt.
  * 01_xul19.patch: stolen from Ubuntu. Get the gtkmozembed module to 
    build against xulrunner 1.9.
    + Also add missing AC_DEFINE.
  * Move away gtkmozembedmodule.c by hand, the patch doesn't remove it.
  * 02_maintainer_mode.patch: set AM_MAINTAINER_MODE.
  * 70_autotools.patch: run the autotools on top of that.
  * Build-depend on xulrunner-dev 1.9~b5-4 and make python-gtkmozembed 
    depend on xulrunner-1.9 1.9~b5-4. Closes: #480795.
  * Pass --with-gtkmozembed=xulrunner-1.9.
  * Update build-dependencies.
  * Remove dh_python calls and debian/pycompat.

 -- Josselin Mouette <joss@debian.org>  Mon, 12 May 2008 23:40:38 +0200

gnome-python-extras (2.14.3-1) unstable; urgency=low

  * Add a get-orig-source target to retrieve the upstream tarball.
  * Clarify license of each module.
  * New upstream stable release with bug fixes, documentation additions, and
    documentation fixes.

 -- Loic Minier <lool@dooz.org>  Mon, 26 Feb 2007 14:39:58 +0100

gnome-python-extras (2.14.2-1) unstable; urgency=low

  * New upstream releases.
    - Drop 20_xulrunner-configure dpatch, merged upstream.
    - Drop 70_mandatory-relibtoolize, not necessary anymore.

 -- Loic Minier <lool@dooz.org>  Tue,  8 Aug 2006 16:17:27 +0200

gnome-python-extras (2.14.0-3) unstable; urgency=low

  * Add XB-Python-Version to python-gnome2-extras. (Closes: #378228)
  * Add debian/control to the pyversions -r call since it's mandatory, even if
    the man page claims it's optional.

 -- Loic Minier <lool@dooz.org>  Sat,  5 Aug 2006 21:11:32 +0200

gnome-python-extras (2.14.0-2) unstable; urgency=medium

  * Drop obsolete part about being a simple "dependency package" from the
    description, thanks Bart Vanhaute. (Closes: #376367)
  * Install upstream NEWS for python-gnome2-extras. (Closes: #376520)
  * Add a Depends from python-gnome2-extras on python-gnome2-desktop until we
    fix packages to update their dependencies.
    (Closes: #376076, #376129, #376172)
  * Build against xulrunner. (Closes: #364373, #376061, #372534, #372535)
    - New dpatch, 20_xulrunner-configure, to support xulrunner as
      --with-gtkmozembed.
    - New dpatch, 70_mandatory-relibtoolize, to update autotools.
    - Pass --with-gtkmozembed=xulrunner to configure.
    - Drop mozilla-dev build-dep.
    - Drop mozilla-browser dep.
    - Build-Depend on libxul-dev.

 -- Loic Minier <lool@dooz.org>  Tue,  4 Jul 2006 17:08:29 +0200

gnome-python-extras (2.14.0-1) unstable; urgency=low

  [ Marco Cabizza ]
  * New upstream release.
  * Convert the package to the new Python policy:
    (Closes: #373437, #375836, #375847)
    - Build-depend on debhelper 5.0.37.2, python-all-dev 2.3.5-11 and
      python-support 0.3.
    - Update control/control.in
    - pycompat=2, pyversions=2.2-.
    - Reorganise the rules file and create .install files
    - Add ${python:Provides}
  * Build-depend on libgksu1.2-dev, libgksuui1.0-dev, libgda2-dev for the gksu,
    gksu.ui and gda wrappers.

  [ Loic Minier ]
  * Add a Replaces: python2.3-gnome2-extras, python2.4-gnome2-extras too.
  * Merge all dependencies from python2.3-gnome2-extras and
    python2.4-gnome2-extras in the python-gnome2-extras dependencies.
  * Nack 2.12.1-3.1 and 2.12.1-3.2 NMUs.

 -- Loic Minier <lool@dooz.org>  Wed, 28 Jun 2006 23:06:01 +0200

gnome-python-extras (2.12.1-3) unstable; urgency=low

  * Merge NMU patch, thanks Luk Claes, and acknowledge his fix.
    (Closes: #348510)
    [debian/control, debian/control.in]
  * Nack 2.12.1-2.2 NMU which broke the gtkmozembed module and introduced
    serious bugs.
  * Add deps on mozilla-browser, since it has no shlibs; this is until we
    switch to xulrunner. (Closes: #368273)
    [debian/control, debian/control.in]
  * Fix upstream URL -- it's gnome-python-extras, not gnome-python -- and use
    HTTP instead of FTP.
    [debian/copyright]
  * Really ship license block and clarify "Authors" versus "Copyright Holders"
    and "Copyright" versus "License".
    [debian/copyright]
  * Bump up Standards-Version to 3.7.2.
    [debian/control, debian/control.in]

 -- Loic Minier <lool@dooz.org>  Fri,  9 Jun 2006 16:09:28 +0200

gnome-python-extras (2.12.1-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Make the package binNMU safe by removing the strict dependency of an 
    arch: all package to arch: any packages (Closes: #348510).

 -- Luk Claes <luk@debian.org>  Fri, 27 Jan 2006 16:36:56 +0100

gnome-python-extras (2.12.1-2) unstable; urgency=low

  * Upload to unstable.
  * Depends on new libnautilus-burn2 (closes: #330112, #336458).


