=== debian/control ===
Source: python-gtkhtml2
Section: python
Priority: optional
Maintainer: Daniel Martin Yerga <dyerga@gmail.com>
Build-Depends: debhelper (>= 5.0.37.2), dpatch, gnome-pkg-tools, libgtkhtml2-dev (>= 2.4), python2.5-gtk2-dev (>= 2.4), libgtk2.0-dev (>= 2.4), python2.5-dev
Standards-Version: 3.7.2

Package: python-gtkhtml2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}, python2.5-gtk2
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python bindings for the GtkHTML 2 library
 This package contains bindings allowing to run Python programs using 
 the GtkHTML 2 library for HTML rendering.
