## python-gtkhtml2 2.19.1-2maemo2

=== debian/changelog ===
python-gtkhtml2 (2.19.1-2maemo2) unstable; urgency=low

  * Version built against Fremantle libraries.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Sat, 18 Jul 2009 20:00:42 +0200
