=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,6 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
-# Include dpatch stuff
-#include /usr/share/dpatch/dpatch.make
 # Include pkg-gnome stuff.
 #include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
 # get-orig-source target
@@ -34,7 +32,7 @@
 		--build=$(DEB_BUILD_GNU_TYPE)	   \
 		--prefix=/usr \
 		--without-gda \ 
-		--with-gtkmozembed=mozilla  \
+		--without-gtkmozembed  \
 		--without-egg  \
 		--without-gksu  \
 		--without-gdl  \
@@ -48,10 +46,10 @@
 
 build: build/build-stamp
 
-clean:
+clean:: 
 	dh_testdir
 	dh_testroot
-	rm -rf build debian/tmp
+	rm -rf build debian/python-gtkhtml2
 	dh_clean
 
 install-clean:
@@ -62,10 +60,10 @@
 install: build/build-stamp
 	dh_testdir
 	dh_testroot
-	cd build/gtkhtml2 && $(MAKE) install DESTDIR=$(CURDIR)/debian/python-gtkhtml2
+	$(MAKE) -C build install DESTDIR=$(CURDIR)/debian/python-gtkhtml2
 	dh_install --sourcedir=debian/python-gtkhtml2
 
-#install: build install-clean install
+#install: build install-clean $(PYVERS:%=install-%)
 #	dh_installdirs
 
 # Build architecture-independent files here.
